Question about compatability

cimairacimaira Posts: 0
edited December 1969 in Poser Discussion

Am I to assume, that if a product says DSON importer for Poser, is required/compatible, that the product being offered cannot be used in Poser 8 and below?
I really wish they would just put on there that it requires Poser 9 and DSON for Poser.

I am on a dinosaur of a machine and running Poser 7. So, it would be nice to know for sure.


  • ChoholeChohole Posts: 20,885
    edited December 1969

    Yes you are correct, DSON only works with P9+

  • JimmyC_2009JimmyC_2009 Posts: 8,764
    edited December 1969

    All DAZ 3D Poser items before Genesis will work correctly in Poser 7. Genesis and any Genesis related items will NOT work in Poser 7 or Poser 8.

    Any Victoria 4 or Michael 4 figures will work correctly in your version of Poser.

  • cimairacimaira Posts: 0
    edited December 2012

    Thanks for the replies.
    I knew that pre Genesis items would work in Poser 7, but some of the newer items are not marked Genesis even when I use the filter to sort Poser only. So anyway, thanks for confirming my thoughts.

    sorry, I went back and looked, and the Figure was Genesis. I should know better, lol

    Post edited by cimaira on
Sign In or Register to comment.
Rocket Fuel